Subject: Re: [Pkg-cacti-maint] About RFH Cacti and Cacti-spine

From: Mahyuddin Susanto <[email-masked]>
Date: Mon, 25 Apr 2011 20:21:01 +0700

On 04/25/2011 05:39 PM, Sean Finney wrote:
> hi!
> 
> On Thu, Apr 21, 2011 at 07:37:34PM +0700, Mahyuddin Susanto wrote:
>> Thanks, sended request and i've subscribed to mailling list too
>>
>>> And let me know if they work for you.
>>>

Thanks again!

>>> Then we can discuss "on list" any plans, etc.  Looking forward to some
>>> help :)

CC-Ing pkg-cacti list

First i doing packaging stuff with updating debconf translations,
rewriting d/copyright as dep5 format. My works can be found at here
http://people.ubuntu.com/~udienz/pkg/cacti.debdiff

but i'm not confident to push-ing to git because my changes is trivial, and:
 - Bug 604395: I've forwarding to upstream for feedback
 - From security-tracker i see that some CVE still exits in lenny, can i
fix it?

>>
>> Sure, my plan is fixing some bugs while we waiting new cacti release.
> 
> okay. you're added to the project now.  lemme know if you have any questions
> about the packaging/repos/etc!
> 
> 
> 	sean

-- 
[ Mahyuddin Susanto ] - 4096R/90B36C5B

---

From: Sean Finney <[email-masked]>
Date: Mon, 25 Apr 2011 19:51:40 +0200

hiya,

> http://people.ubuntu.com/~udienz/pkg/cacti.debdiff

One quick comment: I see you mention adding nginx/lighthttpd to Depends but
don't see the actual change adding them in the control file :)

> but i'm not confident to push-ing to git because my changes is trivial, and:

It's fine to push even trivial stuff to git right away, I'd say.
if you have any doubts feel free to ask, or mail the patch to the list
with git format-patch + send-email, whatever you're comfortable with.

I would request though that the commits be isolated/broken into
individual changes and not "lumped together", and that they not include
debian/changelog (git-dch can generate a nice changelog later and
this allows lower chances of conflicts during cherry-pick/merge/revert).

>  - Bug 604395: I've forwarding to upstream for feedback

cool, thanks.  definitely something that should be addressed upstream.

>  - From security-tracker i see that some CVE still exits in lenny, can i

If you'd like to spend some time on it, by all means feel free to do so, but
they're pretty old issues and most/all[1] of them are low prio XSS
related ones that would involve a lot of work to dig out the right fixes.
So it could be a good exercise, and I certainly wouldn't refuse the help,
but if you have better things to do I would suggest you do those instead :)

	sean

[1] minus the "admin can run arbitrary commands instead of ping" one, which
    should be ignord imho.